# tab

Le composant onglet permet aux utilisateurs de naviguer dans différentes sections de contenu au sein d’une même page.

## Dépendances
```shell
tab
└─ core
└─ link
```

## Utilisation
Afin d’utiliser le composant `tab`, il est nécessaire d’ajouter les fichiers de styles et de scripts présents dans le dossier dist dans l'ordre suivant :
```html
<html>
  <head>
    <link href="css/core/core.min.css" rel="stylesheet">
    <link href="css/link/link.min.css" rel="stylesheet">
    <link href="css/tab/tab.min.css" rel="stylesheet">
  </head>
  <body>
    <script type="text/javascript" nomodule href="js/legacy/legacy.nomodule.min.js" ></script>
    <script type="module" href="js/core/core.module.min.js" ></script>
    <script type="text/javascript" nomodule href="js/core/core.nomodule.min.js" ></script>
    <script type="module" href="js/tab/tab.module.min.js" ></script>
    <script type="text/javascript" nomodule href="js/tab/tab.nomodule.min.js" ></script>
  </body>
</html>
```

## Documentation

Consulter [la documentation](https://gouvfr.atlassian.net/wiki/spaces/DB/pages/367985267/Onglets+-+Tabs) sur le module Onglets